const EventEmitter = require("events");
class Auth extends EventEmitter {
  constructor() {
    super();
    this._loggedIn = false;
  }
  async login() {
    throw new Error(`login() not implemented`);
  }
  async logout() {
    throw new Error(`logout() not implemented`);
  }
  async getUser() {
    throw new Error(`getUser() not implemented`);
  }
  async onLogout() {}
  async onLogin() {}
  get loggedIn() {
    return this._loggedIn;
  }
}
module.exports = Auth;
