const EventEmitter = require("events");
class Request extends EventEmitter {
  constructor(auth) {
    super();
    this._auth = auth;
  }
  async get(url, { auth = false }) {
    throw new Error(`get() not implemented`);
  }
  async post(url, body, { auth = true }) {
    throw new Error(`post() not implemented`);
  }
  async put(url, body, { auth = true }) {
    throw new Error(`put() not implemented`);
  }
  async patch(url, body, { auth = true }) {
    throw new Error(`patch() not implemented`);
  }
  async head(url, { auth = false }) {
    throw new Error(`head() not implemented`);
  }
  async delete(url, { auth = true }) {
    throw new Error(`delete() not implemented`);
  }
}
module.exports = Request;
